<html>
	<head>
		<title>SNT</title>
		<link rel="shortcut icon" type="image/x-icon" href="./?getimg=favicon" /> 
		<style type="text/css"> 
		body
		{
			position:relative;
			background-color: #FFFFFF;		
			font-family:"Trebuchet MS", Verdana;
			font-size: 10pt;
			text-align: left;
			margin: 0px;
			padding: 0px;
		}

		.mainblock
		{
			padding:50px;
			border : solid 1px #DDDDDD;	
			background-color: #F5F5F5;
			width:798px;
			text-align:left;
		}

		a
		{
			color: #014579;
			font-weight: bold;
			text-decoration: none;	
		}

		.afolder
		{
			color: #014579;
			font-weight:bold;
			text-decoration: none;	
			background: url(../?getimg=folder) no-repeat left;
			padding-left:30px;
		}

		hr
		{
			color: #DDDDDD;
			background-color: #DDDDDD;
			height: 1px;
			border: 0;
		}

		.report-container {
		    border: #E0E0E0 1px solid;
		    padding: 20px 40px 40px 40px;
		    border-radius: 2px;
		    margin: 0 auto;
		    color: #929292;
		}

		.weather-icon {
		    vertical-align: middle;
		    margin-right: 20px;
		}

		.weather-forecast {
		    color: #212121;
		    font-size: 1.2em;
		    font-weight: bold;
		    margin: 20px 0px;
		}

		span.min-temperature {
		    margin-left: 15px;
		    color: #929292;
		}

		.time {
		    line-height: 25px;

		</style> 

	</head>
	<body>
		<center>

			<img src="../?getimg=title" />
			<div class="mainblock report-container">

				<h1>Météo du jour à Chalon sur Saône</h1>
				<hr>
				<h2>
						<?php
								$apiKey = "2e23eba099809d306db9936d31422e28";
								$cityId = "2969284";
								$ApiUrl = "http://api.openweathermap.org/data/2.5/weather?id=" . $cityId . "&lang=en&units=metric&APPID=" . $apiKey;

								$ch = curl_init();

								curl_setopt($ch, CURLOPT_HEADER, 0);
								curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
								curl_setopt($ch, CURLOPT_URL, $ApiUrl);
								curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
								curl_setopt($ch, CURLOPT_VERBOSE, 0);
								curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
								$response = curl_exec($ch);

								curl_close($ch);
								$data = json_decode($response);
								$currentTime = time();
						?>
				</h2>
				<div class="time">
		            <div><?php echo date("l g:i a", $currentTime); ?></div>
		            <div><?php echo date("jS F, Y",$currentTime); ?></div>
		            <div><?php echo ucwords($data->weather[0]->description); ?></div>
		        </div>
		        <div class="weather-forecast">
		            <img
		                src="http://openweathermap.org/img/w/<?php echo $data->weather[0]->icon; ?>.png"
		                class="weather-icon" /> <?php echo $data->main->temp_max; ?>°C<span
		                class="min-temperature"><?php echo $data->main->temp_min; ?>°C</span>
		        </div>
		        <div class="time">
		            <div>Humidity: <?php echo $data->main->humidity; ?> %</div>
		            <div>Wind: <?php echo $data->wind->speed; ?> km/h</div>
		        </div>

			</div>
		</center>
	</body>
</html>					